★ TouchArcade needs your help. Click here to support us on Patreon.

iPhone: Sim City: works on 2.1 or will you need 2.2?

12-11-2008, 10:25 PM
#1
Joined: Oct 2008
Posts: 6
Sim City: works on 2.1 or will you need 2.2?

Pretty simple question. I really don't feel like upgrading (quickpwning) my iPhone again.

Monopoly requires 2.2; I hope Sim City doesn't follow suit since it's another game by EA.
12-11-2008, 10:27 PM
#2
Joined: Aug 2008
Posts: 187
Quote:
Originally Posted by rocco_ict View Post
Pretty simple question. I really don't feel like upgrading (quickpwning) my iPhone again.

Monopoly requires 2.2; I hope Sim City doesn't follow suit since it's another game by EA.
it most likely will, but not sure. I just re-jailbroke my itouch from 2.1 to 2.2 just for monopoly lol
12-11-2008, 10:37 PM
#3
Joined: Dec 2008
Posts: 27
More than likely 2.2 .... you know maybe apple should get smart and incorporate some jailbroken features and sell them as a special app.... 1$ each = bling fools lol